namespace MetX.Web.Virtual.xsl {
   /// <summary>Provides access to static virtual file content for files</summary>
   public partial class editApplication {
       /// <summary>The static contents of the file: "C:\data\code\wmr\MetX\Web\Virtual\xsl\editApplication.xsl" as it existed at compile time.</summary>
       public const string xsl = "<?xml version=\"1.0\" ?>\r\n<xsl:stylesheet xmlns:xsl=\"http://www.w3.org/1999/XSL/Transform\"\r\n               \r\n                xmlns:xlg=\"urn:xlg\"\r\n                version=\"1.0\">\r\n  <xsl:output method=\"html\" />\r\n  <xsl:template match=\"/xlgDoc\">\r\n    <HTML>\r\n      <HEAD>\r\n        <title>Security Application Editor</title>\r\n        <LINK REL=\"StyleSheet\" TYPE=\"text/css\" HREF=\"/xlgSupport/css/Styles.css\" />\r\n      </HEAD>\r\n      <body>\r\n		    <H1>XLG Security Administrator</H1>\r\n		    <H2>Application: <font color=\"blue\"><xsl:value-of select=\"/xlgDoc/Application/@ApplicationName\"/></font></H2>\r\n        <H3><a class=\"buttonLink\" href=\"applications.aspx\">Change Security Applications</a> | <a class=\"buttonLink\"><xsl:attribute name=\"href\">editCookie.aspx?Application=<xsl:value-of select=\"/xlgDoc/Application/@ApplicationName\"/></xsl:attribute> Set Security Cookie</a></H3>\r\n        \r\n			<p>\r\n				<table border=\"1\" cellpadding=\"3\" cellspacing=\"1\">\r\n					<tr CLASS=\"HeaderContent\">\r\n						<td style=\"width: 188px\">Security Groups</td>\r\n					</tr>\r\n					<tr>\r\n						<td style=\"width: 188px\">\r\n              <table border=\"1\" cellpadding=\"3\" cellspacing=\"1\">\r\n              <xsl:for-each select=\"/xlgDoc/Groups/Group\">\r\n                <tr>\r\n                  <td width=\"100\">&amp;nbsp;</td>\r\n                  <td nowrap=\"nowrap\"><xsl:value-of select=\"@GroupName\" /></td>\r\n                  <td>\r\n                    <a class=\"buttonLink\"><xsl:attribute name=\"href\">editMembers.aspx?Application=<xsl:value-of select=\"/xlgDoc/Application/@ApplicationName\" />&amp;GroupName=<xsl:value-of select=\"@GroupName\" /></xsl:attribute>Edit&amp;nbsp;Members</a>\r\n                  </td>\r\n                  <td>\r\n                    <a class=\"buttonLink\"><xsl:attribute name=\"href\">editPermissions.aspx?Application=<xsl:value-of select=\"/xlgDoc/Application/@ApplicationName\" />&amp;GroupName=<xsl:value-of select=\"@GroupName\" /></xsl:attribute>Edit&amp;nbsp;Permissions</a>\r\n                  </td>\r\n                </tr>\r\n              </xsl:for-each>\r\n              </table>\r\n            </td>\r\n					</tr>\r\n				</table>\r\n			</p>\r\n		<form method=\"post\" action=\"editAppliation.aspx\">\r\n      <input type=\"hidden\" name=\"PostAction\" value=\"AddGroup\" />\r\n				<table border=\"1\" cellpadding=\"3\" cellspacing=\"1\">\r\n					<tr CLASS=\"subHeaderContent\">\r\n						<td>New Group Name:</td>\r\n						<td><input type=\"text\" style=\"width: 200px;\" ID=\"NewGroupName\" /></td>\r\n						<td><input type=\"submit\" value=\"Add New Group\" /></td>\r\n					</tr>\r\n				</table>\r\n		</form>\r\n				<br />\r\n		<form method=\"post\" action=\"editAppliation.aspx\">\r\n      <input type=\"hidden\" name=\"PostAction\" value=\"UpdateApplication\" />\r\n				<table border=\"1\" cellpadding=\"3\" cellspacing=\"1\">\r\n					<tr CLASS=\"subHeaderContent\">\r\n						<td>Administrator's Email Addresss:</td>\r\n						<td>\r\n              <input type=\"text\" name=\"Email\" style=\"width: 400px;\" maxlength=\"50\">\r\n                <xsl:attribute name=\"value\"><xsl:value-of select=\"/xlgDoc/Application/@AdministratorEmail\"/></xsl:attribute>\r\n              </input>\r\n            </td>\r\n					</tr>\r\n					<tr CLASS=\"subHeaderContent\">\r\n						<td>Profile Edit URL:</td>\r\n						<td>\r\n              <input type=\"text\" name=\"ProfileURL\" style=\"width: 400px;\" maxlength=\"50\">\r\n                <xsl:attribute name=\"value\"><xsl:value-of select=\"/xlgDoc/Application/@ProfileEditUrl\"/></xsl:attribute>\r\n              </input>\r\n            </td>\r\n					</tr>\r\n					<tr CLASS=\"subHeaderContent\">\r\n						<td colspan=\"2\">\r\n              <input type=\"submit\" value=\"Update Application\" />\r\n						</td>\r\n					</tr>\r\n				</table>\r\n		</form>        \r\n      </body>\r\n    </HTML>\r\n  </xsl:template>\r\n</xsl:stylesheet>";
       /// <summary>Returns xsl inside a StringBuilder.</summary>
       /// <returns>A StringBuilder with the compile time file contents</returns>
       public static System.Text.StringBuilder xslStringBuilder { get { return new System.Text.StringBuilder(xsl); } }
   }
}
